package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;

public class StaticVO extends HeaderVO{
	private String imo;
	private String name;
	private String callsign;
	private String vmsType;
	private int dimA;      
	private int dimB;      
	private int dimC;      
	private int dimD;      
	private double draught;   
	private int epfd;   
	private String etaStr;   
	private int etaMM;   
	private int etaDD;   
	private int etaHH;   
	private int etaNN;   
	private String destination;
	private int dte;      
	private int raim;      
	private int partNo;   
	private String vender;   
	private int isRepeat; 
	private int aisVer;
	
	public StaticVO() {
		imo = "";
		name = "";
		callsign = "";
		vmsType = "";
		dimA = 0;
		dimB = 0;
		dimC = 0;
		dimD = 0;
		draught = 0.0;
		epfd = 0;
		etaStr = "";
		etaMM = 0;
		etaDD = 0;
		etaHH = 24;
		etaNN = 60;
		destination = "";
		dte = 1;
		raim = 0;
		partNo = 0;
		vender = "";
		isRepeat = 0;
		aisVer = 9;
	}
	
	

	public String getImo() {
		return imo;
	}




	public void setImo(String imo) {
		this.imo = imo;
	}




	public String getName() {
		return name;
	}




	public void setName(String name) {
		this.name = name;
	}




	public String getCallsign() {
		return callsign;
	}




	public void setCallsign(String callsign) {
		this.callsign = callsign;
	}




	public String getVmsType() {
		return vmsType;
	}




	public void setVmsType(String vmsType) {
		this.vmsType = vmsType;
	}




	public int getDimA() {
		return dimA;
	}




	public void setDimA(int dimA) {
		this.dimA = dimA;
	}




	public int getDimB() {
		return dimB;
	}




	public void setDimB(int dimB) {
		this.dimB = dimB;
	}




	public int getDimC() {
		return dimC;
	}




	public void setDimC(int dimC) {
		this.dimC = dimC;
	}




	public int getDimD() {
		return dimD;
	}




	public void setDimD(int dimD) {
		this.dimD = dimD;
	}




	public double getDraught() {
		return draught;
	}




	public void setDraught(double draught) {
		this.draught = draught;
	}




	public int getEpfd() {
		return epfd;
	}




	public void setEpfd(int epfd) {
		this.epfd = epfd;
	}




	public String getEtaStr() {
		return etaStr;
	}




	public void setEtaStr(String etaStr) {
		this.etaStr = etaStr;
	}




	public int getEtaMM() {
		return etaMM;
	}




	public void setEtaMM(int etaMM) {
		this.etaMM = etaMM;
	}




	public int getEtaDD() {
		return etaDD;
	}




	public void setEtaDD(int etaDD) {
		this.etaDD = etaDD;
	}




	public int getEtaHH() {
		return etaHH;
	}




	public void setEtaHH(int etaHH) {
		this.etaHH = etaHH;
	}




	public int getEtaNN() {
		return etaNN;
	}




	public void setEtaNN(int etaNN) {
		this.etaNN = etaNN;
	}




	public String getDestination() {
		return destination;
	}




	public void setDestination(String destination) {
		this.destination = destination;
	}




	public int getDte() {
		return dte;
	}




	public void setDte(int dte) {
		this.dte = dte;
	}




	public int getRaim() {
		return raim;
	}




	public void setRaim(int raim) {
		this.raim = raim;
	}




	public int getPartNo() {
		return partNo;
	}




	public void setPartNo(int partNo) {
		this.partNo = partNo;
	}




	public String getVender() {
		return vender;
	}




	public void setVender(String vender) {
		this.vender = vender;
	}




	public int getIsRepeat() {
		return isRepeat;
	}




	public void setIsRepeat(int isRepeat) {
		this.isRepeat = isRepeat;
	}




	public int getAisVer() {
		return aisVer;
	}




	public void setAisVer(int aisVer) {
		this.aisVer = aisVer;
	}




	public String getString() {
		return "TargetSensor : "+this.targetSensor+"\n"+
				"packetID : "+this.packetID+"\n"+
				"ShipID : "+this.shipID+"\n"+
				"DateTime : "+this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+"\n"+
				"AreaID : "+this.areaID+"\n"+
				"MsgType : "+this.msgType+"\n"+
				"DataLength : "+this.dataLength+"\n"+
				"IMO : "+this.imo+"\n"+
				"Name  : "+this.name +"\n"+
				"CallSign   : "+this.callsign +"\n"+
				"VMSType    : "+this.vmsType  +"\n"+
				"DimA : "+this.dimA +"\n"+
				"DimB  : "+this.dimB  +"\n"+
				"DimC   : "+this.dimC   +"\n"+
				"DimD    : "+this.dimD    +"\n"+
				"Draught    : "+this.draught    +"\n"+
				"EPFD    : "+this.epfd    +"\n"+
				"ETAStr    : "+this.etaStr    +"\n"+
				"ETAMM    : "+this.etaMM    +"\n"+
				"ETADD    : "+this.etaDD    +"\n"+
				"ETAHH    : "+this.etaHH    +"\n"+
				"ETANN    : "+this.etaNN    +"\n"+
				"Destination    : "+this.destination    +"\n"+
				"DTE    : "+this.dte    +"\n"+
				"Raim    : "+this.raim    +"\n"+
				"PartNo    : "+this.partNo    +"\n"+
				"Vender    : "+this.vender    +"\n"+
				"IsRepeat    : "+this.isRepeat    +"\n"+
				"AISVer    : "+this.aisVer;
	}

}
